/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TPO_table.sql **/


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TPO_DISCOUNT_ITEMS') 
CREATE TABLE T_TPO_DISCOUNT_ITEMS (
   FID                  BIGINT    DEFAULT 0            NOT NULL,
   FNUMBER              VARCHAR(60) DEFAULT ''         NOT NULL,
   FSTATUS              VARCHAR(30) DEFAULT ''         NOT NULL,
   FCREATORID           BIGINT   DEFAULT 0           NOT NULL,
   FMODIFIERID          BIGINT   DEFAULT 0             NOT NULL ,
   FENABLE              VARCHAR(30)  DEFAULT ''         NOT NULL,
   FCREATETIME          DATETIME             NULL,
   FMODIFYTIME          DATETIME             NULL,
   FMASTERID            BIGINT     DEFAULT 0           NOT NULL,
   FLONGNUMBER          VARCHAR(100) DEFAULT ''        NOT NULL ,
   FLEVEL               BIGINT      DEFAULT 0          NOT NULL,
   FISLEAF              CHAR(1)     DEFAULT ''         NOT NULL ,
   FPARENTID            BIGINT     DEFAULT 0           NOT NULL ,
   FDISCOUNTTYPE        VARCHAR(30)  DEFAULT ''        NOT NULL 
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TPO_DISCOUNT_ITEMS_L') 
CREATE TABLE T_TPO_DISCOUNT_ITEMS_L (
   FPKID                VARCHAR(18)  DEFAULT ''        NOT NULL ,
   FID                  BIGINT      DEFAULT 0         NOT NULL ,
   FLOCALEID            VARCHAR(10) DEFAULT ''         NOT NULL ,
   FNAME                VARCHAR(100) DEFAULT ''        NOT NULL ,
   FFULLNAME            VARCHAR(400) DEFAULT ''        NOT NULL
);

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TPO_table.sql **/
